/**
 * 
 */
package gov.va.med.cds.idm.client;

/**
 * @author susarlan
 *
 */
public interface IdmPersonServiceInterface
{
	  /**
	   * getAuditResult 
	   */
	  public java.lang.String getAuditResult(java.lang.String requestXML);

	  
	  /**
	   * execute 
	   */
	  public java.lang.String execute(java.lang.String requestXML);
	  
	  
	  /**
	   * searchIdentity 
	   */
	  public java.lang.String searchIdentity(java.lang.String searchXML);
	  
	  
	  /**
	   * getCorrespondingIds 
	   */
	  public java.lang.String getCorrespondingIds(java.lang.String vpidstr); 


	  public void setTimeoutSeconds(java.lang.String timeoutSeconds);
}
